---
title: "Update Knowledge Base"
api: "PUT /v1/api/knowledgebase/{id}"
description: "Update the name or description of an existing knowledge base."
---

## Headers
<ParamField header="x-workspace-id" type="string" required>
Workspace identifier for the API.
</ParamField>

## Path Parameters

<ParamField path="id" type="string" required>
The unique identifier of the knowledge base to update.
</ParamField>

## Request Body

<ParamField body="name" type="string">
Updated name for the knowledge base.
</ParamField>

<ParamField body="description" type="string">
Updated description for the knowledge base.
</ParamField>

## Response Fields

<ResponseField name="_id" type="string">
Unique identifier for the knowledge base.
</ResponseField>

<ResponseField name="name" type="string">
Updated name of the knowledge base.
</ResponseField>

<ResponseField name="description" type="string">
Updated description of the knowledge base.
</ResponseField>

<ResponseExample>
```json
{
  "_id": "665a1b2c3d4e5f6a7b8c9d0e",
  "name": "Updated Product Docs",
  "description": "Updated documentation and FAQs",
  "workspaceId": "664a1b2c3d4e5f6a7b8c9d0e",
  "updatedAt": "2024-06-02T09:00:00.000Z"
}
```
</ResponseExample>
